OAM11gR2 : CONFIGURESECURITYSTORE.PY Script Fails With Constraint Violation (Doc ID 1553293.1)

Last updated on NOVEMBER 09, 2016

Applies to:

Oracle Access Manager - Version 11.1.2.1.0 and later
Information in this document applies to any platform.

Symptoms

 

 Following steps were done,

 (1) Installed OAM 11.1.2.1 software

(2) Used RCU to update OAM schema

(3) Ran config.sh to create new OAM Domain

(4) Ran configureSecurityStore.py script.

However this script fails with the following error, 

Apr 24, 2013 11:51:01 AM 
oracle.security.jps.internal.config.ldap.LdapCredStoreServiceConfigurator schemaCompatibleHandler

INFO: Credential store schema upgrade not required. Store Schema version 
11.1.1.6.0 is compatible to the seed schema version 11.1.1.4.0 
[oracle.security.jps.internal.config.db.DbCredStoreServiceConfigurator] 
checkServiceSchema - Store schema has been seeded completely 
[oracle.security.jps.internal.config.db.DbCredStoreServiceConfigurator] 
updateServiceConfiguration - done 
[oracle.security.jps.internal.config.db.DbCredStoreServiceConfigurator] 
seedSchemaAndCreateDIT - failed JPS-10000: There was an internal error in the 
policy store. 
Exception in thread "Main Thread" java.lang.RuntimeException: JPS-10000: 
There was an internal error in the policy store. 

..... 

        ... 1 more 
Caused by: javax.persistence.RollbackException: Exception [EclipseLink-4002] 
(Eclipse Persistence Services - 2.3.1.v20111018-r10243): 
org.eclipse.persistence.exceptions.DatabaseException 
Internal Exception: java.sql.SQLIntegrityConstraintViolationException: 
ORA-00001: unique constraint (ATAOAM_OPSS.IDX_JPS_RDN_PDN) violated

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms